# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'version'

Gem::Specification.new do |spec|
  spec.name          = "trails-mvc"
  spec.version       = Trails::VERSION
  spec.authors       = ["William McMeans"]
  spec.email         = ["wrmcmeans@gmail.com"]

  spec.summary       = %q{Ruby on Trails is a lightweight MVC framework}
  spec.description   = %q{Build rich web apps with a hiking them using Ruby on Trails}
  spec.homepage      = "http://www.ruby-on-trails.com/"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  # spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.executables   = ["trails"]
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.19"
  spec.add_dependency "httparty", "~> 0.13"
  spec.add_dependency "rake", "~> 10.0"
  spec.add_dependency "sqlite3", "~> 1.3", ">= 1.3.5"
  spec.add_dependency "rack", "~> 1.6", ">= 1.6.4"
  spec.add_dependency "activesupport", "~> 4.2", ">= 4.2.5.2"


  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "pry", "~> 0.10", ">= 0.10.3"
  spec.add_development_dependency "rspec", "~> 3.1"
end
